# Class JMeterException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.jorphan.util.JMeterException

All Implemented Interfaces:
  `Serializable`

public class JMeterException extends Exception
The rationale for this class was originally to support chained Exceptions in JDK 1.3 However, the class is now used in its own right.

Version:
  $Revision: 905024 $
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JMeterException()`
`JMeterException(String s)`
`JMeterException(String message, Throwable cause)`
`JMeterException(Throwable cause)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JMeterException

public JMeterException()

### JMeterException

public JMeterException(String s)

### JMeterException

public JMeterException(Throwable cause)

### JMeterException

public JMeterException(String message, Throwable cause)